package com.yd.api.practitioner.vo.policy.policyinfoquery;

public class PersonBasicInfo {
    private long id;//ID
    private String name;//姓名
    private String mobileNo;//手机号
    private String email;//邮箱
    private Integer gender;//性别 1-Male,2-FeMale
    private String birthDay;//生日，格式yyyy-MM-dd
    private Integer age;//年龄
    private Long provinceId;//省份ID
    private Long cityId;//城市ID
    private Long districtId;//区（县）ID
    private String address;//地址
    private String postCode;//邮编
    private Long occupationId;//职业代码ID
    private String occupationName;//职业类别
    private String salaryType;//各种来源
    private Double salary;//去年总收入
    private IDInfo idInfo;//证件信息


    public long getId() {
        return id;
    }

    public void setId(long id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getMobileNo() {
        return mobileNo;
    }

    public void setMobileNo(String mobileNo) {
        this.mobileNo = mobileNo;
    }

    public String getEmail() {
        return email;
    }

    public void setEmail(String email) {
        this.email = email;
    }

    public Integer getGender() {
        return gender;
    }

    public void setGender(Integer gender) {
        this.gender = gender;
    }

    public String getBirthDay() {
        return birthDay;
    }

    public void setBirthDay(String birthDay) {
        this.birthDay = birthDay;
    }

    public Integer getAge() {
        return age;
    }

    public void setAge(Integer age) {
        this.age = age;
    }

    public Long getProvinceId() {
        return provinceId;
    }

    public void setProvinceId(Long provinceId) {
        this.provinceId = provinceId;
    }

    public Long getCityId() {
        return cityId;
    }

    public void setCityId(Long cityId) {
        this.cityId = cityId;
    }

    public Long getDistrictId() {
        return districtId;
    }

    public void setDistrictId(Long districtId) {
        this.districtId = districtId;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getPostCode() {
        return postCode;
    }

    public void setPostCode(String postCode) {
        this.postCode = postCode;
    }

    public Long getOccupationId() {
        return occupationId;
    }

    public void setOccupationId(Long occupationId) {
        this.occupationId = occupationId;
    }

    public String getOccupationName() {
        return occupationName;
    }

    public void setOccupationName(String occupationName) {
        this.occupationName = occupationName;
    }

    public String getSalaryType() {
        return salaryType;
    }

    public void setSalaryType(String salaryType) {
        this.salaryType = salaryType;
    }

    public Double getSalary() {
        return salary;
    }

    public void setSalary(Double salary) {
        this.salary = salary;
    }

    public IDInfo getIdInfo() { return idInfo; }

    public void setIdInfo(IDInfo idInfo) {
        this.idInfo = idInfo;
    }
}
